﻿@model Avira.MarketingResearch.Model.ViewModels.Trend.MainTrendPreviewViewModel
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_LayoutWithTrendTabAndLeftMenu.cshtml";
}

@using (Html.BeginForm("Index", "TrendPreview", FormMethod.Post, new { @class = "" }))
{
<div id="content" class="content m-t-25">
    @Html.Partial("_TrendDetails", @Model.TrendModel)

    <!-- begin row -->
    <div id="table-scroll" class="table-scroll">
        <div class="table-responsive">
            <table class="table table-bordered table-hover table-striped table-td-valign-middle">
                <thead>
                    <tr class="inverse">
                        <th class="fixed-side" scope="col">&nbsp;</th>
                        <th scope="col">Trend Detalis</th>
                        <th scope="col">Completed Date</th>
                        @*<th scope="col">Approval</th>*@
                        <th scope="col">Approval Date</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <th class="fixed-side">Keywords</th>

                        <td>@Model.TrendPreviewModel.Keywords</td>
                        <td>@Model.TrendPreviewModel.KeywordsSubmittedDate</td>
                        <td>@Model.TrendPreviewModel.KeywordsApprovedDate</td>
                    </tr>
                    <tr>
                        <th class="fixed-side">Industry</th>
                        <td>@Model.TrendPreviewModel.Industry</td>
                        <td>@Model.TrendPreviewModel.IndustrySubmittedDate</td>
                        <td>@Model.TrendPreviewModel.IndustryApprovedDate</td>
                    </tr>
                    <tr>
                        <th class="fixed-side">Market</th>
                        <td>@Model.TrendPreviewModel.Market</td>
                        <td>@Model.TrendPreviewModel.MarketSubmittedDate</td>
                        <td>@Model.TrendPreviewModel.MarketApprovedDate</td>
                    </tr>
                    <tr>
                        <th class="fixed-side">Project</th>
                        <td>@Model.TrendPreviewModel.Project</td>
                        <td>@Model.TrendPreviewModel.ProjectSubmittedDate</td>
                        <td>@Model.TrendPreviewModel.ProjectApprovedDate</td>
                    </tr>
                    <tr>
                        <th class="fixed-side">Geography</th>
                        <td>@Model.TrendPreviewModel.Geography</td>
                        <td>@Model.TrendPreviewModel.GeographySubmittedDate</td>
                        <td>@Model.TrendPreviewModel.GeographyApprovedDate</td>
                    </tr>
                    <tr>
                        <th class="fixed-side">company-groups</th>
                        <td>@Model.TrendPreviewModel.CompanyGroups</td>
                        <td>@Model.TrendPreviewModel.CompanyGroupsSubmittedDate</td>
                        <td>@Model.TrendPreviewModel.CompanyGroupsApprovedDate</td>
                    </tr>
                    <tr>
                        <th class="fixed-side">Time-Tag</th>
                        <td>@Model.TrendPreviewModel.Timetag</td>
                        <td>@Model.TrendPreviewModel.TimetagSubmittedDate</td>
                        <td>@Model.TrendPreviewModel.TimetagApprovedDate</td>
                    </tr>
                    <tr>
                        <th class="fixed-side">Ecosystem</th>
                        <td>@Model.TrendPreviewModel.EcoSystem</td>
                        <td>@Model.TrendPreviewModel.EcoSystemSubmittedDate</td>
                        <td>@Model.TrendPreviewModel.EcoSystemApprovedDate</td>
                    </tr>
                    <tr>
                        <th class="fixed-side">Key Companies</th>
                        <td>@Model.TrendPreviewModel.KeyCompanies</td>
                        <td>@Model.TrendPreviewModel.KeyCompaniesSubmittedDate</td>
                        <td>@Model.TrendPreviewModel.KeyCompaniesApprovedDate</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <h4>Values</h4>
    <div class="table-responsive">
        <table class="table table-bordered table-hover table-striped table-td-valign-middle">
            <thead>
                <tr class="inverse">
                    <th scope="col">Years</th>
                    <th scope="col">Value</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Rationale</th>
                    <th scope="col">Completed Date</th>
                    @*<th scope="col">Approval</th>*@
                    <th scope="col">Approval Date</th>
                </tr>
            </thead>

            @for (var i = 0; i < Model.TrendValueViewModel.Count; i++)
            {
            <tr>
                <td>@Model.TrendValueViewModel[i].Year</td>
                <td>@Model.TrendValueViewModel[i].Amount</td>
                <td>@Model.TrendValueViewModel[i].ValueName</td>
                <td>@Model.TrendValueViewModel[i].Rationale</td>
                <td>@Model.TrendValueViewModel[i].ValueSubmittedDate</td>
                <td>@Model.TrendValueViewModel[i].ValueApprovedDate</td>
            </tr>
            }
            </table>
     </div>

    <!-- end row -->
    <div class="section-container section-with-top-border p-b-10">
        <div style="text-align: center;">
            <p>
                <a href="~/TrendValueMap/Index/@Model.TrendModel.Id" class="btn btn-grey m-b-5"> Previous </a>
                <a href="~/Trend/Index/@Model.TrendModel.ProjectID" class="btn btn-grey m-b-5"> Done </a>
            </p>
        </div>
    </div>
    <!-- end section-container -->
    <!-- begin #footer -->
    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
    <!-- end #footer -->
    </div>
    }

